## ros-rolling-qt-gui-py-common 2.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(qt_gui_py_common)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

install(DIRECTORY resource
  DESTINATION share/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # Disabling copyright test. The copyright used in this package does not conform to
  # ament's copyright tests
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

## ros-rolling-qt-gui-py-common 2.1.1

=== debian/changelog ===
ros-rolling-qt-gui-py-common (2.1.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-qt-gui-py-common (2.1.0-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 02 Nov 2021 07:00:00 -0000

ros-rolling-qt-gui-py-common (2.0.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 29 Apr 2021 07:00:00 -0000

ros-rolling-qt-gui-py-common (2.0.0-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 26 Jan 2021 08:00:00 -0000

ros-rolling-qt-gui-py-common (1.1.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-qt-gui-py-common (1.1.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 03 Aug 2020 07:00:00 -0000

ros-rolling-qt-gui-py-common (1.1.0-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 May 2020 07:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.9-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.8-1focal) focal; urgency=high

  * fix CMake warning about using uninitialized variables (#215 <https://github.com/ros-visualization/qt_gui_core/issues/215>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 05 May 2020 07:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.7-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 30 Sep 2019 07:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 10 Jun 2019 07:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.4-1focal) focal; urgency=high

  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 08 Feb 2019 08:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.3-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 08:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 08:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 08:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.0-1focal) focal; urgency=high

  * fix return statement (#139 <https://github.com/ros-visualization/qt_gui_core/issues/139>)
  * fix simple_settings_ui path (#138 <https://github.com/ros-visualization/qt_gui_core/issues/138>)
  * use ament_lint_auto (#136 <https://github.com/ros-visualization/qt_gui_core/issues/136>)
  * update tests (#133 <https://github.com/ros-visualization/qt_gui_core/issues/133>)
  * port to ROS 2 (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 10 Dec 2018 08:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.11-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 29 Aug 2018 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.10-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 05 Aug 2018 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.9-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Aug 2018 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.8-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Nov 2017 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.7-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 25 Oct 2017 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 03 Aug 2017 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.5-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 27 Jul 2017 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#81 <https://github.com/ros-visualization/qt_gui_core/pull/81>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 08:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.3-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.2-1focal) focal; urgency=high

  * fix another import to work with Qt 5 (#65 <https://github.com/ros-visualization/qt_gui_core/pull/65>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 21 Apr 2016 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Apr 2016 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.0-1focal) focal; urgency=high

  * switch to Qt5 (#64 <https://github.com/ros-visualization/qt_gui_core/pull/64>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 01 Apr 2016 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.2.30-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 30 Mar 2016 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.2.29-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sat, 19 Sep 2015 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.2.28-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 08 Jun 2015 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.2.27-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 29 Apr 2015 07:00:00 -0000

ros-rolling-qt-gui-py-common (0.2.26-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Aug 2014 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-qt-gui-py-common
Section: misc
Priority: optional
Maintainer: Dorian Scholz <scholz@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/qt_gui_py_common
Standards-Version: 3.9.2

Package: ros-rolling-qt-gui-py-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-python-qt-binding, ros-rolling-ros-workspace
Description: qt_gui_py_common provides common functionality for GUI plugins written in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-qt-gui-py-common//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-qt-gui-py-common 2.7.0

=== debian/changelog ===
ros-rolling-qt-gui-py-common (2.7.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.6.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.5.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.4.1-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.4.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.3.2-1jammy) jammy; urgency=high

  * Add in LICENSE file
  * Contributors: Chris Lalancette

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.3.1-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 15 Aug 2022 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.3.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 10 May 2022 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.2.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.1.1-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.1.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 02 Nov 2021 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.0.1-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-rolling-qt-gui-py-common (2.0.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 26 Jan 2021 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.1.2-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.1.1-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 03 Aug 2020 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.1.0-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 May 2020 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.9-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.8-1jammy) jammy; urgency=high

  * fix CMake warning about using uninitialized variables (#215 <https://github.com/ros-visualization/qt_gui_core/issues/215>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 05 May 2020 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.7-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 30 Sep 2019 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.6-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 10 Jun 2019 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.4-1jammy) jammy; urgency=high

  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 08 Feb 2019 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.3-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.2-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.1-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 00:00:00 -0000

ros-rolling-qt-gui-py-common (1.0.0-1jammy) jammy; urgency=high

  * fix return statement (#139 <https://github.com/ros-visualization/qt_gui_core/issues/139>)
  * fix simple_settings_ui path (#138 <https://github.com/ros-visualization/qt_gui_core/issues/138>)
  * use ament_lint_auto (#136 <https://github.com/ros-visualization/qt_gui_core/issues/136>)
  * update tests (#133 <https://github.com/ros-visualization/qt_gui_core/issues/133>)
  * port to ROS 2 (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 10 Dec 2018 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.11-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 29 Aug 2018 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.10-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 05 Aug 2018 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.9-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Aug 2018 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.8-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Nov 2017 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.7-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 25 Oct 2017 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.6-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 03 Aug 2017 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.5-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 27 Jul 2017 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.4-1jammy) jammy; urgency=high

  * use Python 3 compatible syntax (#81 <https://github.com/ros-visualization/qt_gui_core/pull/81>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 00:00:00 -0000

ros-rolling-qt-gui-py-common (0.3.3-1jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 00:00:00 -0000



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Dorian Scholz <scholz@sim.tu-darmstadt.de>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
 Homepage: http://ros.org/wiki/qt_gui_py_common
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
